Difficulties compiling qt-2.0-based snapshots

Difficulties compiling qt-2.0-based snapshots

Post by David E. F » Thu, 01 Apr 1999 04:00:00



I've been running kde-1.1 happily for sometime, playing
with snapshots, trying to stay a bit current with the
koffice development. The last koffice I played with was
in mid-February, though, and I'm in the process of trying
the newer snapshots which require qt-2.0.

I've got a clean build of qt-2.0, which I have temporarily
stashed away in its own directory so I don't have to keep
switching links between qt-1.4 and qt-2.0 :) when building
new snapshots.

Anyhow, I have a couple of problems building kdelibs snapshots,
and can't figure out why I'm having them, and I hope someone can
help.

First of all, unless I add an #include <qfiledefs.h> in
kdelibs/kdecore/kconfig.cpp, make bombs there with a
undefined "W_OK" . Furthermore, by glancing at that
#include file, it seems that W_OK is only #defined when running
on an MSDOS system. I'm running Linux; DOS is nowhere.

Second, I get a bunch of undefined things, such as KDE_DIR,
KDE_BINDIR, KDE_ICONDIR, et. al., in kapp.cpp. Scouring the
Makefiles, configfiles and so forth makes me think that
these items *should* be defined somewhere, perhaps in a
'confdefs.h' file, but said file is nowhere to be found.

Also, ./configure --with-qt-dir=/usr/local/lib/qt2 (where I
put it) doesn't seem to work, as ./configure still thinks the
qt libraries are in /usr/lib.

I've built numerous snapshots before (qt-1.4 though) and haven't
managed to run into the problem.

Suggestions? Any bleeding-edgers reading this? And anyway what
happened to the kde-user list? I haven't got any posts since
Saturday 3/27. :(

--
------------------------------------------------------------------------
David E. Fox                 Tax              Thanks for letting me


-----------------------------------------------------------------------

 
 
 

Difficulties compiling qt-2.0-based snapshots

Post by Jonathan Klim » Tue, 06 Apr 1999 04:00:00


The way I have handled swapping between qt2 and 1.4x is by
setting a soft link. i.e. /usr/lib/qt->/usr/lib/qt-1.42 or /usr/src/qt.
I then only have to copy (cp -d ) /usr/lib/qt/lib to /usr/lib.  This
has been working for all the snapshots so far.

Now, does anyone know why the desktop background won't start?  It
has been this way since the conversion to qt 2.0.


>I've been running kde-1.1 happily for sometime, playing
>with snapshots, trying to stay a bit current with the
>koffice development. The last koffice I played with was
>in mid-February, though, and I'm in the process of trying
>the newer snapshots which require qt-2.0.

>I've got a clean build of qt-2.0, which I have temporarily
>stashed away in its own directory so I don't have to keep
>switching links between qt-1.4 and qt-2.0 :) when building
>new snapshots.

>Anyhow, I have a couple of problems building kdelibs snapshots,
>and can't figure out why I'm having them, and I hope someone can
>help.

>First of all, unless I add an #include <qfiledefs.h> in
>kdelibs/kdecore/kconfig.cpp, make bombs there with a
>undefined "W_OK" . Furthermore, by glancing at that
>#include file, it seems that W_OK is only #defined when running
>on an MSDOS system. I'm running Linux; DOS is nowhere.

>Second, I get a bunch of undefined things, such as KDE_DIR,
>KDE_BINDIR, KDE_ICONDIR, et. al., in kapp.cpp. Scouring the
>Makefiles, configfiles and so forth makes me think that
>these items *should* be defined somewhere, perhaps in a
>'confdefs.h' file, but said file is nowhere to be found.

>Also, ./configure --with-qt-dir=/usr/local/lib/qt2 (where I
>put it) doesn't seem to work, as ./configure still thinks the
>qt libraries are in /usr/lib.

>I've built numerous snapshots before (qt-1.4 though) and haven't
>managed to run into the problem.

>Suggestions? Any bleeding-edgers reading this? And anyway what
>happened to the kde-user list? I haven't got any posts since
>Saturday 3/27. :(

-------------------------------------------------------------------------
Jonathan Kliman

WEB     : http://jitterbug.oit.umass.edu/jkliman

Please replace all xxx with edu to email me.

 
 
 

1. kdevelop error: QT(snapshot >= Qt 2.1 beta2)

Hi folks,

when I create a KDE Project in Kdevelop 1.2 I get an error like this:
---------
configure: error: Qt (snapshot >= Qt 2.1 beta2) (headers and
libraries) not found. Please check your installation!
---------

I had installed both qt 1.42 and 2.0 with Suse 6.4 and now I removed
all qt 2 libs but that did not help.

I tried to recompile and re-install kdevelop1.2 from the sources and
the ./configure from the source files recognizes QT correctly. But I
cannnot create a new project. It worked some month ago but it seem
that I to have messed around with the qt-libraries.

Also running kdevelop with the --setup option did not solve the
problem.

Can anybody please help?

Marian

-------------------------------------------------------------------

http://www.heddesheimer.de               online-training
-------------------------------------------------------------------

2. CDE: hit wrong mouse-button when trying to blacken region

3. Problems with Qt-2.00 snapshot & kdelibs

4. Tripwire segmentation fault on check

5. QT 2.1 Compile problem using ANY CVS snapshot

6. yacc and lex

7. Compiling problems, qt snapshots/koffice

8. ftp site for MPEG Files?

9. kde2 (qt-2.2.1) compile time?

10. When will KDE-2.0 compile with current qt-2.0

11. qt-2.0 compile probs (moc)

12. QT-1.3 vs. QT-1.44 for compiling games

13. QT-2 static compile errors.